from http.server import HTTPServer, BaseHTTPRequestHandler
import logging


logger = logging.getLogger('alerts-test')
logger.setLevel(logging.DEBUG)
fh = logging.FileHandler("/var/log/alert-test.log")
fh.setLevel(logging.DEBUG)
logger.addHandler(fh)


class CustomHTTPHandler(BaseHTTPRequestHandler):

    def _set_headers(self):
        self.send_response(200)
        self.send_header('Content-type', 'text/html')
        self.end_headers()

    def do_POST(self):
        content_length = int(self.headers['Content-Length'])
        post_data = self.rfile.read(content_length)
        post_data = post_data.decode(self.headers['Accept-Charset'])
        logger.debug(post_data)

    def do_GET(self):
        self._set_headers()
        self.wfile.write(b"<html><body><h1>SUCCESSFUL GET REQUEST</h1></body></html>")


def run(server_class=HTTPServer, handler_class=BaseHTTPRequestHandler):
    server_address = ('localhost', 9999)
    httpd = server_class(server_address, handler_class)
    httpd.serve_forever()


if __name__ == "__main__":
    run(handler_class=CustomHTTPHandler)
